package com.qmth.sop.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 分配详情dto
 * @Author: CaoZixuan
 * @Date: 2024-05-20
 */
public class AllocationDetailDto {
    @ApiModelProperty("已分配")
    private List<UserArchivesDto> allocatedList;

    @ApiModelProperty("可分配")
    private List<UserArchivesDto> canChooseList;

    @ApiModelProperty("历史记录")
    private List<UserArchivesDto> historicalList;

    public AllocationDetailDto() {
    }

    public AllocationDetailDto(List<UserArchivesDto> allocatedList, List<UserArchivesDto> canChooseList,
            List<UserArchivesDto> historicalList) {
        this.allocatedList = allocatedList;
        this.canChooseList = canChooseList;
        this.historicalList = historicalList;
    }

    public List<UserArchivesDto> getAllocatedList() {
        return allocatedList;
    }

    public void setAllocatedList(List<UserArchivesDto> allocatedList) {
        this.allocatedList = allocatedList;
    }

    public List<UserArchivesDto> getCanChooseList() {
        return canChooseList;
    }

    public void setCanChooseList(List<UserArchivesDto> canChooseList) {
        this.canChooseList = canChooseList;
    }

    public List<UserArchivesDto> getHistoricalList() {
        return historicalList;
    }

    public void setHistoricalList(List<UserArchivesDto> historicalList) {
        this.historicalList = historicalList;
    }
}
